using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using OliviaAddInPro.Model;

namespace OliviaAddInPro
{
    /// <summary>
    /// Lógica de interacción para PaneConfigView.xaml
    /// </summary>
    public partial class PaneConfigView : UserControl
    {
        public PaneConfigView()
        {
           InitializeComponent();
        }
        private void OnGuardar(object sender, RoutedEventArgs e)
        {

            if (DataContext is PaneConfigViewModel mod)
            {
                mod.OnGuardar();
                OliviaGlob.IniDefault();
            }
        }

        private void OnRefres(object sender, RoutedEventArgs e)
        {
            if (DataContext is PaneConfigViewModel mod)
                mod.OnRefres();
        }

        private void Configuracion_PropertyValueChanged(object sender, Xceed.Wpf.Toolkit.PropertyGrid.PropertyValueChangedEventArgs e)
        {
            if (DataContext is PaneConfigViewModel mod)
            {
                mod.hay_cambios = true;
            }
        }
    }
}
